# RPM specfile for bug-buddy module
# Generated Sat Jan 25 06:40:43 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.214 2003/01/21 05:44:22 thunder Exp $

%define nam	bug-buddy
%define ver	2.2.101.0.200301250412
%define ximrev	1

Name:     	bug-buddy2
Version: 	2.2.101.0.200301250412
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://bug-buddy.org/
Epoch:		1
Source0:	bug-buddy-2.2.101.tar.gz
Summary:	A graphical bug reporting tool for GNOME
Group:		Applications/System
Requires:	libgnomeui
Provides:	bug-buddy = %{PACKAGE_VERSION}
Provides:	ximian-bug-buddy2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	bug-buddy

%description
The goal of bug-buddy is to make reporting bugs very
simple and easy for the user, while making the reports
themselves more useful and informative for the developer.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/bin/*
/usr/share/applications/*.desktop
/usr/share/application-registry/*.applications
/usr/share/gnome/help/bug-buddy
/usr/share/omf/bug-buddy
/usr/share/pixmaps/*
/usr/share/bug-buddy
/usr/*/locale/*
/usr/share/mime-info/*
/usr/share/man/man?/bug-buddy.*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n bug-buddy-2.2.101
    ;;
all)
%setup  -q -n bug-buddy-2.2.101
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Sat Jan 25 2003 Ximian, Inc.

- Version: 1:2.2.101.0.200301250412-0.snap.ximian.1
- Summary: New build.
- New automated build.

